Bug 169717 - Review Request: Internode DSL usage applet
Review Request: Internode DSL usage applet
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2005-10-01 20:13 EDT by John Mahowald
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-12 23:00:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mahowald 2005-10-01 20:13:15 EDT
Spec Name or Url: http://frontiernet.net/~jpmahowald/fedora/review/gnome-applet-internode.spec
SRPM Name or Url: http://frontiernet.net/~jpmahowald/fedora/review/gnome-applet-internode-1.3-1.src.rpm
The Internode Usage Meter for GNOME is a panel applet for the
GNOME 2 desktop environment which allows you to monitor your
Internode Personal ADSL Usage.

(Packaging for: http://fedoraforum.org/forum/showthread.php?t=79173)
Comment 1 John Mahowald 2005-10-23 02:14:03 EDT
Note that this has not been tested with a real Internode ADSL account yet.

Comment 2 Wart 2006-02-09 14:06:59 EST
Just a couple of initial comments:

* I believe the Requires: python-abi is no longer needed for FC4+5.
* Use %{SOURCE1} in %prep instead of %{_sourcedir}.  It's a little easier to read.
* There is a debug 'echo' line in %install

I've never been clear on the recommendations for .pyc files.  Should these be
shipped or %ghosted?

I will try to do a more formal review later today...
Comment 3 Wart 2006-02-09 14:13:21 EST
Build error on FC-4 x86_64.  It looks like the package installs some files into
/usr/lib instead of %{_libdir}

    File not found:
Comment 4 John Mahowald 2006-02-17 10:58:25 EST
Also, I may not be able to make this noarch, because bonobo is installed at
%{_libdir}. Even though the only thing it puts there is a single text file.

I will have to rework the setup patch.
Comment 5 Wart 2006-02-21 20:31:01 EST
More build erros, this time on devel-i386:

error: Installed (but unpackaged) file(s) found:

These should probably be %ghosted.
Comment 6 Ville Skyttä 2006-02-22 02:20:24 EST
Actually, I think they should be just %exclude'd (can't rm -f because they're
generated by rpmbuild after %install).  As far as I can tell, there should be no
reason for rpmbuild to byte-compile *.py scripts in /usr/bin.
Comment 7 Wart 2006-02-22 02:46:17 EST
* rpmlint output clean
* No redundance or not permissible BR:
* Source matches upstream
* Package name follows guidelines for gnome applets
* Builds on FC4-i386
* spec file legible, in Am. English
* macro use consistent
* code, not content
* No shared libraries or -devel package
* doc ok
* desktop file not needed
* Runs without crashing (did not test with a valid Internode account,

Recommended (but not required)
* Use %{SOURCE1} instead of {%_sourcedir}/COPYING
* Add %{?dist} to release tag
* GPL license ok, text included

* Does not build on FC5-i386 or FC4-x86_64.
* mock build not tested (my mock env. is hosed right now)


* %exclude %{_bindir}/*.pyc %{_bindir}/*.pyo (comment #6)
* Requires: python-abi not needed for FC-5 (comment #2)
* Fix x86_64 build with respect to /usr/lib (comment #3)
* Does not own all directories that it creates:
  - %{python_sitelib}/internode/
  - %{datadir}/internode/
  - %{_libdir}/bonobo/servers (probably owned by a parent of one of the
    Requires, but was unable to verify)
Comment 8 Wart 2006-04-20 16:11:09 EDT
Comment 9 Wart 2006-07-12 18:29:38 EDT

Can we either fix this or close the bug?
Comment 10 John Mahowald 2006-07-12 23:00:52 EDT
I really am not going to use this. Closing.

If anybody would like to take over based on this spec feel free.

Note You need to log in before you can comment on or make changes to this bug.